<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/web/thymeleaf/layout"
    layout:decorate="layout">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>list category</title>
</head>

<body>
    <div layout:fragment="content">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <a  th:if="${session.role == 'ROLE_ADMIN'}"  class="btn btn-success" href="/category/admin"
                            data-bs-target="#addCategoryModal">
                            trang Quản Lí
                        </a>
                    </ul>
                    <form action="/category/search" class="d-flex" method="get">
                        <input th:value="${name}" class="form-control me-2" type="text" placeholder="Tên"
                            aria-label="Tên" name="name">
                        <button class="btn btn-outline-success" type="submit">Tìm</button>
                    </form>
                </div>
            </div>
        </nav>
        <div class="container justify-content-center">
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">Id</th>
                        <th scope="col">Tên</th>
                        
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="item : ${list_category}">
                        <td th:text="${item.id}"></td>
                        <td th:text="${item.name}"></td>
                    </tr>
                </tbody>
            </table>

            <!-- Pagination -->
            <ul class="pagination" th:if="${list_category.totalPages >1}">
                <li class="page-item" th:class="${list_category.first ? 'disabled' : ''}">
                    <a th:if="${name != null}" class="page-link"
                        th:href="@{'/category/search?page=' + ${list_category.number} + '&name=' + ${name}}">&laquo;</a>
                    <a th:unless="${name != null}" class="page-link"
                        th:href="@{'?page=' + ${list_category.number}}">&laquo;</a>
                </li>
                <li th:each="i : ${#numbers.sequence(0, list_category.totalPages - 1)}"
                    th:class="${list_category.number == i ? 'active' : ''}">
                    <a th:if="${name != null}" class="page-link"
                        th:href="@{'/category/search?page=' + (${i+1} ?: 1) + '&name=' + ${name}}" th:text="${i+1}"></a>
                    <a th:unless="${name != null}" class="page-link" th:href="@{'?page=' + ${i+1}} "
                        th:text="${i}+1"></a>
                </li>
                <li class="page-item" th:class="${list_category.last ? 'disabled' : ''}">
                    <a th:if="${name != null}" class="page-link"
                        th:href="@{'/category/search?page=' + ${list_category.number + 2} + '&name=' + ${name}}">&raquo;</a>
                    <a th:unless="${name != null}" class="page-link"
                        th:href="@{'?page=' + ${list_category.number + 2}}">&raquo;</a>
                </li>
            </ul>

            <!-- Modal add category -->
            <!-- <div class="modal fade" id="addCategoryModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true" data-bs-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <form th:action="@{/category/add}" method="post">
                           
                            <div class="modal-header">
                                <h5 class="modal-title" id="">Thêm danh mục</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body ">
                                <div class="d-flex align-items-end justify-content-center ">
                                    <h4 class="errormodel" id="erroradd" style="color: red;"></h4>
                                </div>
                                <div class="d-flex align-items-end justify-content-center ">
                                    <input type="text" id="nameadd" name="name" class="form-control">
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary exitmodel"
                                    data-bs-dismiss="modal">Đóng</button>
                                <button type="submit" class="btn btn-primary">Thêm</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div> -->

            <!-- Modal edit category -->
            <!-- <div class="modal fade" id="editCategoryModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true" data-bs-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <form th:action="@{/category/edit}" method="post" th:object="${category}">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Sửa danh mục</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body ">
                                <div class="d-flex align-items-end justify-content-center ">
                                    <h4 class="errormodel" id="erroredit" style="color: red;"></h4>
                                </div>
                                <div id="contentInputEdit" class="d-flex align-items-end justify-content-center ">

                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary exitmodel"
                                    data-bs-dismiss="modal">Đóng</button>
                                <button type="submit" class="btn btn-primary">Sửa</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div> -->
        </div>
        
        <script>
            let messageValidationName = "Tên không được để trống hoặc quá 50 kí tự"
            let maxLengthName = 50
            let url = 'http://localhost:8080/category/api/getbyid/'

            $('.edit-btn').click(function () {
                $('#contentInputEdit').empty();
                var categoryId = $(this).data('id');
                $.ajax({
                    url: url + categoryId,
                    type: 'GET',
                    success: function (data) {

                        console.log(data);
                        $('#contentInputEdit').append('<input type="text" value="' + data.name + '" name="name" class="form-control">');
                        $('#contentInputEdit').append('<input type="hidden" value="' + data.id + '" name="id">');

                    },
                    error: function (xhr, status, error) {
                        console.error('Error:', error);
                    }
                });
            });

        

            $('#addCategoryModal').submit(function (e) {
                let name = $('#nameadd').val().trim();
                if (name.trim() === '' || name.length > maxLengthName) {
                    e.preventDefault();
                    $('.errormodel').text(messageValidationName);
                } else {
                    $('#addCategoryModal').submit();
                }
            });

            $('#editCategoryModal').submit(function (e) {
                let name = $('#editname').val().trim();
                if (name.trim() === '' || name.length > maxLengthName) {
                    e.preventDefault();
                    $('.errormodel').text(messageValidationName);
                } else {
                    $('#editCategoryModal').submit();
                }
            });

            $('.exitmodel').click(function (e) {
                e.preventDefault();
                $('.errormodel').text("");
            });

        </script>
    </div>
</body>

</html>